Subject: Re: X11 calls in /gnuwin32/b18/H-i386-cygwin32/lib/libtk4.2.a
From: [email-masked] (Tage Westlund)

29 Oct 1997 11:51:05 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Steven Bellenot wrote:
> 
> I have my own widget for tk4.2 which uses many X11 calls like
> XCopyArea.
> /gnuwin32/b18/tcl/tk42.dll but I am not sure how to look inside it
> as nm does not work.

To Steven!
I have compared your path with my (unhacked) b18 binaries, and have
found   /gnuwin32/b18/tcl/bin/tk42.dll   but this is maybe a mistake
when writing the mail.
I too have found that  bash$ nm -s tk42.dll  gives:
nm: tk42.dll: File format not recognized       but:
bash$ strings tk42.dll    will list every printable string that is
four characters or longer.  The option  --byte=8  will list strings 
that have 8 characters or more.
bash$ strings --byte=8 tk42.dll | grep soliddiamond
will find the name "soliddiamond"

Tage

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".